Subject: Re: bug#50849: 28.0.50; Proposal for Emacs daemon to signal when being busy

From: Stefan Kangas <[email-masked]>
Date: Sat, 3 Sep 2022 08:40:16 -0700

Lars Ingebrigtsen <[email-masked]> writes:

>> No, because this will change a long-standing behavior (of waiting
>> indefinitely).  But we can add a new flag --timeout=NNN to let people
>> specify a timeout if they want.

Hmm, is that so bad though?  I'm not sure I see what problem it could
cause.  Do people actually want and rely on the indefinite waiting?

> I don't think a --timeout parameter will be useful here, though --
> nobody is going to type "emacsclient --timeout 10 -nw".

I often do things like

   alias emacsclient="emacsclient --timeout 10"

so I think such a flag would still be useful.